#ifndef PV_REGISTER_H
#define PV_REGISTER_H

#include <pv_types.h>

static inline union pv_data
*pv_to_abs_addr(const struct pv_engine	*pv_engine,
		const struct pv		*pv)
{
	return (union pv_data *)(pv_engine->store.map + pv->offset);
}


struct pv
*pv_register_lookup(struct pv_engine	*pv_engine,
		    const char		*id);

#endif	/* !PV_REGISTER_H */
